import 'package:flutter/material.dart';
import 'package:flutter/src/widgets/framework.dart';
import 'package:zhiying_base_widget/widgets/search/input/search_input_widget.dart';
import 'package:zhiying_comm/zhiying_comm.dart';
import 'package:zhiying_comm/util/custom_sliver_persistent_header_delegate.dart';

class SearchInputCreater extends WidgetCreater {
  @override
  List<Widget> createWidgets(Map<String, dynamic> model) {
    return [
      SliverPersistentHeader(
        delegate: CustomSliverPersistentHeaderDelegate(
          child: SearchInputWidget(model),
          min: 35,
          max: 35,
        ),
        pinned: true,
        floating: false,
      )
    ];
  }

  @override
  bool isSliverChild() {
    return true;
  }
}
